package netscape.palomar.sgml;

import java.io.DataOutputStream;
import java.util.Vector;
import netscape.palomar.util.CascadedException;

public interface SGMLTag extends SGMLElement {
   void preParseSetup(String var1, SGMLParseTableEntry var2);

   SGMLTag parseChildren(SGMLStream var1, Vector var2, Vector var3) throws CascadedException;

   SGMLTag parseChildrenStructure(SGMLStream var1, Vector var2, Vector var3) throws CascadedException;

   SGMLTag parseChildrenTop(SGMLStream var1, Vector var2, Vector var3) throws CascadedException;

   SGMLTag parseChildrenScript(SGMLStream var1, Vector var2, Vector var3) throws CascadedException;

   void finishProcessing() throws CascadedException;

   boolean allowedChildType(String var1) throws CascadedException;

   void allowableChild(SGMLElement var1) throws CascadedException;

   void checkContext(Vector var1, Vector var2) throws CascadedException;

   void appendParsedChild(SGMLTag var1) throws CascadedException;

   SGMLAttribute createAttribute(String var1, String var2) throws CascadedException;

   void initializeAttributes() throws CascadedException;

   void postProcessAttributes() throws CascadedException;

   void writeVirtualContent(DataOutputStream var1) throws CascadedException;

   boolean isTopTag();
}
