package netscape.palomar.sgml;

import java.io.DataOutputStream;
import netscape.palomar.util.CascadedException;
import netscape.palomar.util.TreeImpl;

public abstract class SGMLElementImpl extends TreeImpl implements SGMLElement {
   protected String _rawValue;

   public String getTagType() {
      return "";
   }

   public String getRawValue() throws CascadedException {
      return this._rawValue;
   }

   public void setRawValue(String newValue) {
      this._rawValue = newValue;
   }

   public void writeYourself(DataOutputStream dos) throws CascadedException {
      try {
         dos.writeBytes(this.getRawValue());
         int last = ((TreeImpl)this).numChildren();

         for(int i = 0; i < last; ++i) {
            ((SGMLElement)((TreeImpl)this).childAt(i)).writeYourself(dos);
         }

      } catch (Exception e) {
         SGMLException ce = new SGMLException(214, e);
         throw ce;
      }
   }

   public abstract SGMLParser getParser();
}
