package netscape.palomar.sgml;

import java.io.DataOutputStream;
import java.util.Enumeration;
import java.util.Vector;
import netscape.palomar.util.CascadedException;
import netscape.palomar.util.TreeImpl;

public class SGMLTagTop extends SGMLTagImpl {
   public SGMLTagTop() {
      super._tagType = "TopToken";
      super._rawValue = "<TOP>";
   }

   public SGMLTag parseChildren(SGMLStream inf, Vector parentExclusion, Vector parentInclusion) throws CascadedException {
      return ((SGMLTagImpl)this).parseChildrenTop(inf, parentExclusion, parentInclusion);
   }

   public void writeYourself(DataOutputStream dos) throws CascadedException {
      Enumeration e = ((TreeImpl)this).getChildren();

      while(e.hasMoreElements()) {
         ((SGMLElement)e.nextElement()).writeYourself(dos);
      }

   }

   public boolean allowedChildType(String testTag) {
      return true;
   }

   public boolean isTopTag() {
      return true;
   }
}
